OpenTTD Source: ResultSpriteGroup Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields | Protected Member Functions
ResultSpriteGroup Struct Reference
Inheritance diagram for ResultSpriteGroup:

## Public Member Functions
| ResultSpriteGroup (SpriteID sprite, uint8_t num_sprites)
| Creates a spritegroup representing a sprite number result.
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_spritegroup_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, Tindex index)
| Allocates space for new Titem with given index.
void * | operator new (size_t, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p, size_t size)
| Marks Titem as free.

## Data Fields
uint8_t | num_sprites = 0
SpriteID | sprite = 0
Data Fields inherited from SpriteGroup
uint32_t | nfo_line = 0
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_spritegroup_pool >
Tindex | index
| Index of this pool item.

## Protected Member Functions
ResolverResult | Resolve (ResolverObject &) const override
| Base sprite group resolver.

## Additional Inherited Members
Public Types inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_spritegroup_pool >
typedef struct Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache > | Pool
| Type of the pool this item is going to be part of.
Static Public Member Functions inherited from SpriteGroup
static ResolverResult | Resolve (const SpriteGroup *group, ResolverObject &object, bool top_level=true)
| ResolverObject (re)entry point.
Static Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_spritegroup_pool >
static bool | CanAllocateItem (size_t n=1)
| Helper functions so we can use PoolItem::Function() instead of _poolitem_pool.Function()
static bool | CleaningPool ()
| Returns current state of pool cleaning - yes or no.
static bool | IsValidID (auto index)
| Tests whether given index can be used to get valid (non-nullptr) Titem.
static Titem * | Get (auto index)
| Returns Titem with given index.
static Titem * | GetIfValid (auto index)
| Returns Titem with given index.
static size_t | GetPoolSize ()
| Returns first unused index.
static size_t | GetNumItems ()
| Returns number of valid items in the pool.
static void | PostDestructor (size_t index)
| Dummy function called after destructor of each member.
static Pool::IterateWrapper< Titem > | Iterate (size_t from=0)
| Returns an iterable ensemble of all valid Titem.

## Detailed Description

Definition at line 217 of file newgrf_spritegroup.h.

## Constructor & Destructor Documentation

## ◆ ResultSpriteGroup()

ResultSpriteGroup::ResultSpriteGroup | ( | SpriteID | sprite,
|  | uint8_t | num_sprites
| ) |  |
| inline

Creates a spritegroup representing a sprite number result.

Parameters

  sprite | The sprite number.
  num_sprites | The number of sprites per set.

Returns
  A spritegroup representing the sprite number result.

Definition at line 224 of file newgrf_spritegroup.h.

## Member Function Documentation

## ◆ Resolve()

ResolverResult ResultSpriteGroup::Resolve | ( | ResolverObject & | object | ) | const
| inlineoverrideprotectedvirtual

Base sprite group resolver.

Implements SpriteGroup.

Definition at line 230 of file newgrf_spritegroup.h.

## Field Documentation

## ◆ num_sprites

uint8_t ResultSpriteGroup::num_sprites = 0

Definition at line 226 of file newgrf_spritegroup.h.

## ◆ sprite

SpriteID ResultSpriteGroup::sprite = 0

Definition at line 227 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following file:

- src/newgrf_spritegroup.h